Index: /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/FLO/floblk.F90
===================================================================
--- /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/FLO/floblk.F90	(revision 12589)
+++ /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/FLO/floblk.F90	(revision 12590)
@@ -20,7 +20,9 @@
    PUBLIC   flo_blk    ! routine called by floats.F90
 
+#  include "domzgr_substitute.h90"
+
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
@@ -30,8 +32,8 @@
       !!---------------------------------------------------------------------
       !!                  ***  ROUTINE flo_blk  ***
-      !!           
+      !!
       !! ** Purpose :   Compute the geographical position,latitude, longitude
       !!      and depth of each float at each time step.
-      !! 
+      !!
       !! ** Method  :   The position of a float is computed with Bruno Blanke
       !!      algorithm. We need to know the velocity field, the old positions
@@ -47,5 +49,5 @@
          zuoutfl,zvoutfl,zwoutfl,   &     ! transport across the ouput face
          zvol,                      &     ! volume of the mesh
-         zsurfz,                    &     ! surface of the face of the mesh 
+         zsurfz,                    &     ! surface of the face of the mesh
          zind
 
@@ -53,15 +55,15 @@
 
       INTEGER  , DIMENSION ( jpnfl )  ::   iil, ijl, ikl                   ! index of nearest mesh
-      INTEGER  , DIMENSION ( jpnfl )  ::   iiloc , ijloc              
+      INTEGER  , DIMENSION ( jpnfl )  ::   iiloc , ijloc
       INTEGER  , DIMENSION ( jpnfl )  ::   iiinfl, ijinfl, ikinfl          ! index of input mesh of the float.
       INTEGER  , DIMENSION ( jpnfl )  ::   iioutfl, ijoutfl, ikoutfl       ! index of output mesh of the float.
-      REAL(wp) , DIMENSION ( jpnfl )  ::   zgifl, zgjfl, zgkfl             ! position of floats, index on 
+      REAL(wp) , DIMENSION ( jpnfl )  ::   zgifl, zgjfl, zgkfl             ! position of floats, index on
       !                                                                         ! velocity mesh.
       REAL(wp) , DIMENSION ( jpnfl )  ::    ztxfl, ztyfl, ztzfl            ! time for a float to quit the mesh
-      !                                                                         ! across one of the face x,y and z 
-      REAL(wp) , DIMENSION ( jpnfl )  ::    zttfl                          ! time for a float to quit the mesh 
-      REAL(wp) , DIMENSION ( jpnfl )  ::    zagefl                         ! time during which, trajectorie of 
+      !                                                                         ! across one of the face x,y and z
+      REAL(wp) , DIMENSION ( jpnfl )  ::    zttfl                          ! time for a float to quit the mesh
+      REAL(wp) , DIMENSION ( jpnfl )  ::    zagefl                         ! time during which, trajectorie of
       !                                                                         ! the float has been computed
-      REAL(wp) , DIMENSION ( jpnfl )  ::   zagenewfl                       ! new age of float after calculation 
+      REAL(wp) , DIMENSION ( jpnfl )  ::   zagenewfl                       ! new age of float after calculation
       !                                                                         ! of new position
       REAL(wp) , DIMENSION ( jpnfl )  ::   zufl, zvfl, zwfl                ! interpolated vel. at float position
@@ -77,15 +79,15 @@
 
       ! Initialisation of parameters
-      
+
       DO jfl = 1, jpnfl
          ! ages of floats are put at zero
          zagefl(jfl) = 0.
-         ! index on the velocity grid 
-         ! We considere k coordinate negative, with this transformation 
-         ! the computation in the 3 direction is the same. 
+         ! index on the velocity grid
+         ! We considere k coordinate negative, with this transformation
+         ! the computation in the 3 direction is the same.
          zgifl(jfl) = tpifl(jfl) - 0.5
          zgjfl(jfl) = tpjfl(jfl) - 0.5
          zgkfl(jfl) = MIN(-1.,-(tpkfl(jfl)))
-         ! surface drift every 10 days 
+         ! surface drift every 10 days
          IF( ln_argo ) THEN
             IF( MOD(kt,150) >= 146 .OR. MOD(kt,150) == 0 )  zgkfl(jfl) = -1.
@@ -96,5 +98,5 @@
          ikl(jfl) =     INT(zgkfl(jfl))
       END DO
-       
+
       iloop = 0
 222   DO jfl = 1, jpnfl
@@ -104,15 +106,19 @@
             iiloc(jfl) = iil(jfl) - mig(1) + 1
             ijloc(jfl) = ijl(jfl) - mjg(1) + 1
-# else 
+# else
             iiloc(jfl) = iil(jfl)
             ijloc(jfl) = ijl(jfl)
 # endif
-            
-            ! compute the transport across the mesh where the float is.            
-!!bug (gm) change e3t into e3. but never checked 
-            zsurfx(1) = e2u(iiloc(jfl)-1,ijloc(jfl)  ) * e3u(iiloc(jfl)-1,ijloc(jfl)  ,-ikl(jfl),Kmm)
-            zsurfx(2) = e2u(iiloc(jfl)  ,ijloc(jfl)  ) * e3u(iiloc(jfl)  ,ijloc(jfl)  ,-ikl(jfl),Kmm)
-            zsurfy(1) = e1v(iiloc(jfl)  ,ijloc(jfl)-1) * e3v(iiloc(jfl)  ,ijloc(jfl)-1,-ikl(jfl),Kmm)
-            zsurfy(2) = e1v(iiloc(jfl)  ,ijloc(jfl)  ) * e3v(iiloc(jfl)  ,ijloc(jfl)  ,-ikl(jfl),Kmm)
+
+            ! compute the transport across the mesh where the float is.
+!!bug (gm) change e3t into e3. but never checked
+            zsurfx(1) = e2u(iiloc(jfl)-1,ijloc(jfl)  )    &
+            &         * e3u(iiloc(jfl)-1,ijloc(jfl)  ,-ikl(jfl),Kmm)
+            zsurfx(2) = e2u(iiloc(jfl)  ,ijloc(jfl)  )    &
+            &         * e3u(iiloc(jfl)  ,ijloc(jfl)  ,-ikl(jfl),Kmm)
+            zsurfy(1) = e1v(iiloc(jfl)  ,ijloc(jfl)-1)    &
+            &         * e3v(iiloc(jfl)  ,ijloc(jfl)-1,-ikl(jfl),Kmm)
+            zsurfy(2) = e1v(iiloc(jfl)  ,ijloc(jfl)  )    &
+            &         * e3v(iiloc(jfl)  ,ijloc(jfl)  ,-ikl(jfl),Kmm)
 
             ! for a isobar float zsurfz is put to zero. The vertical velocity will be zero too.
@@ -129,10 +135,10 @@
             zwoutfl=-(wb(iiloc(jfl),ijloc(jfl),- ikl(jfl)   )   &
                &   +  ww(iiloc(jfl),ijloc(jfl),- ikl(jfl)   ) )/2. *  zsurfz*nisobfl(jfl)
-            
-            ! interpolation of velocity field on the float initial position            
+
+            ! interpolation of velocity field on the float initial position
             zufl(jfl)=  zuinfl  + ( zgifl(jfl) - float(iil(jfl)-1) ) * ( zuoutfl - zuinfl)
             zvfl(jfl)=  zvinfl  + ( zgjfl(jfl) - float(ijl(jfl)-1) ) * ( zvoutfl - zvinfl)
             zwfl(jfl)=  zwinfl  + ( zgkfl(jfl) - float(ikl(jfl)-1) ) * ( zwoutfl - zwinfl)
-            
+
             ! faces of input and output
             ! u-direction
@@ -147,5 +153,5 @@
                iiinfl (jfl) = iil(jfl) - 1
             ENDIF
-            ! v-direction       
+            ! v-direction
             IF( zvfl(jfl) < 0. ) THEN
                ijoutfl(jfl) = ijl(jfl) - 1.
@@ -169,5 +175,5 @@
                ikinfl (jfl) = ikl(jfl) - 1.
             ENDIF
-            
+
             ! compute the time to go out the mesh across a face
             ! u-direction
@@ -203,6 +209,6 @@
                ENDIF
             ENDIF
-            ! w-direction        
-            IF( nisobfl(jfl) == 1. ) THEN 
+            ! w-direction
+            IF( nisobfl(jfl) == 1. ) THEN
                zwdfl (jfl) = zwoutfl - zwinfl
                zgkdfl(jfl) = float(ikoutfl(jfl) - ikinfl(jfl))
@@ -221,8 +227,8 @@
                ENDIF
             ENDIF
-            
+
             ! the time to go leave the mesh is the smallest time
-                   
-            IF( nisobfl(jfl) == 1. ) THEN 
+
+            IF( nisobfl(jfl) == 1. ) THEN
                zttfl(jfl) = MIN(ztxfl(jfl),ztyfl(jfl),ztzfl(jfl))
             ELSE
@@ -231,5 +237,5 @@
             ! new age of the FLOAT
             zagenewfl(jfl) = zagefl(jfl) + zttfl(jfl)*zvol
-            ! test to know if the "age" of the float is not bigger than the 
+            ! test to know if the "age" of the float is not bigger than the
             ! time step
             IF( zagenewfl(jfl) > rdt ) THEN
@@ -237,5 +243,5 @@
                zagenewfl(jfl) = rdt
             ENDIF
-            
+
             ! In the "minimal" direction we compute the index of new mesh
             ! on i-direction
@@ -250,5 +256,5 @@
                iiinfl(jfl) = ind
             ELSE
-               IF( ABS(zudfl(jfl)) >= 1.E-5 ) THEN 
+               IF( ABS(zudfl(jfl)) >= 1.E-5 ) THEN
                   zgifl(jfl) = zgifl(jfl) + zgidfl(jfl)*zufl(jfl)    &
                      &       * ( EXP( zudfl(jfl)/zgidfl(jfl)*zttfl(jfl) ) - 1. ) /  zudfl(jfl)
@@ -268,5 +274,5 @@
                ijinfl(jfl) = ind
             ELSE
-               IF( ABS(zvdfl(jfl)) >= 1.E-5 ) THEN 
+               IF( ABS(zvdfl(jfl)) >= 1.E-5 ) THEN
                   zgjfl(jfl) = zgjfl(jfl)+zgjdfl(jfl)*zvfl(jfl)   &
                      &       * ( EXP(zvdfl(jfl)/zgjdfl(jfl)*zttfl(jfl)) - 1. ) /  zvdfl(jfl)
@@ -287,5 +293,5 @@
                   ikinfl(jfl) = ind
                ELSE
-                  IF( ABS(zwdfl(jfl)) >= 1.E-5 ) THEN 
+                  IF( ABS(zwdfl(jfl)) >= 1.E-5 ) THEN
                      zgkfl(jfl) = zgkfl(jfl)+zgkdfl(jfl)*zwfl(jfl)    &
                         &       * ( EXP(zwdfl(jfl)/zgkdfl(jfl)*zttfl(jfl)) - 1. ) /  zwdfl(jfl)
@@ -295,7 +301,7 @@
                ENDIF
             ENDIF
-            
+
             ! coordinate of the new point on the temperature grid
-            
+
             iil(jfl) = MAX(iiinfl(jfl),iioutfl(jfl))
             ijl(jfl) = MAX(ijinfl(jfl),ijoutfl(jfl))
@@ -306,5 +312,5 @@
 !!Alexcadm     .	  ikoutfl(jfl),ztxfl(jfl),ztyfl(jfl)
 !!Alexcadm     .		,ztzfl(jfl),zgifl(jfl),
-!!Alexcadm     .  zgjfl(jfl) 
+!!Alexcadm     .  zgjfl(jfl)
 !!Alexcadm	IF (jfl == 910) write(*,*)'Flotteur 910',
 !!Alexcadm     .    iiinfl(jfl),iioutfl(jfl),ijinfl(jfl)
@@ -312,5 +318,5 @@
 !!Alexcadm     .	  ikoutfl(jfl),ztxfl(jfl),ztyfl(jfl)
 !!Alexcadm     .		,ztzfl(jfl),zgifl(jfl),
-!!Alexcadm     .  zgjfl(jfl) 
+!!Alexcadm     .  zgjfl(jfl)
             ! reinitialisation of the age of FLOAT
             zagefl(jfl) = zagenewfl(jfl)
@@ -327,5 +333,5 @@
 # endif
       END DO
-      
+
       ! synchronisation
       CALL mpp_sum( 'floblk', zgifl , jpnfl )   ! sums over the global domain
@@ -335,5 +341,5 @@
       CALL mpp_sum( 'floblk', iil   , jpnfl )
       CALL mpp_sum( 'floblk', ijl   , jpnfl )
-      
+
       ! Test to know if a  float hasn't integrated enought time
       IF( ln_argo ) THEN
@@ -361,5 +367,5 @@
 !!Alexcadm     .       tpkfl(jpnfl),zufl(jpnfl),zvfl(jpnfl),zwfl(jpnfl)
       IF( ifin == 0 ) THEN
-         iloop = iloop + 1 
+         iloop = iloop + 1
          GO TO 222
       ENDIF
@@ -369,3 +375,3 @@
 
    !!======================================================================
-END MODULE floblk 
+END MODULE floblk
Index: /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/SBC/sbcrnf.F90
===================================================================
--- /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/SBC/sbcrnf.F90	(revision 12589)
+++ /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/SBC/sbcrnf.F90	(revision 12590)
@@ -34,5 +34,5 @@
    PUBLIC   sbc_rnf_alloc ! called in sbcmod module
    PUBLIC   sbc_rnf_init  ! called in sbcmod module
-   
+
    !                                                !!* namsbc_rnf namelist *
    CHARACTER(len=100)         ::   cn_dir            !: Root directory for location of rnf files
@@ -58,18 +58,19 @@
    LOGICAL , PUBLIC ::   l_rnfcpl = .false.   !: runoffs recieved from oasis
    INTEGER , PUBLIC ::   nkrnf = 0            !: nb of levels over which Kz is increased at river mouths
-   
+
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   rnfmsk              !: river mouth mask (hori.)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)     ::   rnfmsk_z            !: river mouth mask (vert.)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   h_rnf               !: depth of runoff in m
    INTEGER,  PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   nk_rnf              !: depth of runoff in model levels
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   rnf_tsc_b, rnf_tsc  !: before and now T & S runoff contents   [K.m/s & PSU.m/s]   
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   rnf_tsc_b, rnf_tsc  !: before and now T & S runoff contents   [K.m/s & PSU.m/s]
 
    TYPE(FLD),        ALLOCATABLE, DIMENSION(:) ::   sf_rnf       ! structure: river runoff (file information, fields read)
    TYPE(FLD),        ALLOCATABLE, DIMENSION(:) ::   sf_i_rnf     ! structure: iceberg flux (file information, fields read)
-   TYPE(FLD),        ALLOCATABLE, DIMENSION(:) ::   sf_s_rnf     ! structure: river runoff salinity (file information, fields read)  
-   TYPE(FLD),        ALLOCATABLE, DIMENSION(:) ::   sf_t_rnf     ! structure: river runoff temperature (file information, fields read)  
- 
+   TYPE(FLD),        ALLOCATABLE, DIMENSION(:) ::   sf_s_rnf     ! structure: river runoff salinity (file information, fields read)
+   TYPE(FLD),        ALLOCATABLE, DIMENSION(:) ::   sf_t_rnf     ! structure: river runoff temperature (file information, fields read)
+
    !! * Substitutions
 #  include "do_loop_substitute.h90"
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
@@ -227,5 +228,5 @@
       ELSE                       !==   runoff put only at the surface   ==!
          h_rnf (:,:)   = e3t (:,:,1,Kmm)        ! update h_rnf to be depth of top box
-         phdivn(:,:,1) = phdivn(:,:,1) - ( rnf(:,:) + rnf_b(:,:) ) * zfact * r1_rau0 / e3t(:,:,1,Kmm)
+         phdivn(:,:,1) = phdivn(:,:,1) - ( rnf(:,:)+rnf_b(:,:) ) * zfact * r1_rau0 / e3t(:,:,1,Kmm)
       ENDIF
       !
@@ -249,6 +250,6 @@
       INTEGER           ::   ios           ! Local integer output status for namelist read
       INTEGER           ::   nbrec         ! temporary integer
-      REAL(wp)          ::   zacoef  
-      REAL(wp), DIMENSION(jpi,jpj,2) :: zrnfcl    
+      REAL(wp)          ::   zacoef
+      REAL(wp), DIMENSION(jpi,jpj,2) :: zrnfcl
       !!
       NAMELIST/namsbc_rnf/ cn_dir            , ln_rnf_depth, ln_rnf_tem, ln_rnf_sal, ln_rnf_icb,   &
@@ -261,5 +262,5 @@
       IF( sbc_rnf_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'sbc_rnf_alloc : unable to allocate arrays' )
       !
-      IF( .NOT. ln_rnf ) THEN                      ! no specific treatment in vicinity of river mouths 
+      IF( .NOT. ln_rnf ) THEN                      ! no specific treatment in vicinity of river mouths
          ln_rnf_mouth  = .FALSE.                   ! default definition needed for example by sbc_ssr or by tra_adv_muscl
          nkrnf         = 0
@@ -297,5 +298,5 @@
       !                                   ! ==================
       !
-      IF( .NOT. l_rnfcpl ) THEN                    
+      IF( .NOT. l_rnfcpl ) THEN
          ALLOCATE( sf_rnf(1), STAT=ierror )         ! Create sf_rnf structure (runoff inflow)
          IF(lwp) WRITE(numout,*)
@@ -352,6 +353,6 @@
          IF(lwp) WRITE(numout,*) '   ==>>>   runoffs depth read in a file'
          rn_dep_file = TRIM( cn_dir )//TRIM( sn_dep_rnf%clname )
-         IF( .NOT. sn_dep_rnf%ln_clim ) THEN   ;   WRITE(rn_dep_file, '(a,"_y",i4)' ) TRIM( rn_dep_file ), nyear    ! add year 
-            IF( sn_dep_rnf%cltype == 'monthly' )   WRITE(rn_dep_file, '(a,"m",i2)'  ) TRIM( rn_dep_file ), nmonth   ! add month 
+         IF( .NOT. sn_dep_rnf%ln_clim ) THEN   ;   WRITE(rn_dep_file, '(a,"_y",i4)' ) TRIM( rn_dep_file ), nyear    ! add year
+            IF( sn_dep_rnf%cltype == 'monthly' )   WRITE(rn_dep_file, '(a,"m",i2)'  ) TRIM( rn_dep_file ), nmonth   ! add month
          ENDIF
          CALL iom_open ( rn_dep_file, inum )                           ! open file
Index: /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/SBC/sbcssm.F90
===================================================================
--- /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/SBC/sbcssm.F90	(revision 12589)
+++ /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/SBC/sbcssm.F90	(revision 12590)
@@ -10,5 +10,5 @@
 
    !!----------------------------------------------------------------------
-   !!   sbc_ssm       : calculate sea surface mean currents, temperature,  
+   !!   sbc_ssm       : calculate sea surface mean currents, temperature,
    !!                   and salinity over nn_fsbc time-step
    !!----------------------------------------------------------------------
@@ -31,5 +31,6 @@
 
    LOGICAL, SAVE ::   l_ssm_mean = .FALSE.   ! keep track of whether means have been read from restart file
-   
+
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
@@ -42,9 +43,9 @@
       !!---------------------------------------------------------------------
       !!                     ***  ROUTINE sbc_oce  ***
-      !!                     
+      !!
       !! ** Purpose :   provide ocean surface variable to sea-surface boundary
-      !!                condition computation 
-      !!                
-      !! ** Method  :   compute mean surface velocity (2 components at U and 
+      !!                condition computation
+      !!
+      !! ** Method  :   compute mean surface velocity (2 components at U and
       !!      V-points) [m/s], temperature [Celsius] and salinity [psu] over
       !!      the periode (kt - nn_fsbc) to kt
@@ -200,5 +201,5 @@
          !
       ELSE
-         !               
+         !
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'sbc_ssm_init : sea surface mean fields'
@@ -222,7 +223,7 @@
             !
             IF( zf_sbc /= REAL( nn_fsbc, wp ) ) THEN      ! nn_fsbc has changed between 2 runs
-               IF(lwp) WRITE(numout,*) '   restart with a change in the frequency of mean from ', zf_sbc, ' to ', nn_fsbc 
-               zcoef = REAL( nn_fsbc - 1, wp ) / zf_sbc 
-               ssu_m(:,:) = zcoef * ssu_m(:,:) 
+               IF(lwp) WRITE(numout,*) '   restart with a change in the frequency of mean from ', zf_sbc, ' to ', nn_fsbc
+               zcoef = REAL( nn_fsbc - 1, wp ) / zf_sbc
+               ssu_m(:,:) = zcoef * ssu_m(:,:)
                ssv_m(:,:) = zcoef * ssv_m(:,:)
                sst_m(:,:) = zcoef * sst_m(:,:)
@@ -252,5 +253,5 @@
       ENDIF
       !
-      IF( .NOT. ln_traqsr )   fraqsr_1lev(:,:) = 1._wp   ! default definition: qsr 100% in the fisrt level 
+      IF( .NOT. ln_traqsr )   fraqsr_1lev(:,:) = 1._wp   ! default definition: qsr 100% in the fisrt level
       !
       IF( lwxios.AND.nn_fsbc > 1 ) THEN
Index: /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/TRA/traadv_cen.F90
===================================================================
--- /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/TRA/traadv_cen.F90	(revision 12589)
+++ /NEMO/branches/2020/dev_r12377_KERNEL-06_techene_e3/src/OCE/TRA/traadv_cen.F90	(revision 12590)
@@ -13,7 +13,7 @@
    USE dom_oce        ! ocean space and time domain
    USE eosbn2         ! equation of state
-   USE traadv_fct     ! acces to routine interp_4th_cpt 
+   USE traadv_fct     ! acces to routine interp_4th_cpt
    USE trd_oce        ! trends: ocean variables
-   USE trdtra         ! trends manager: tracers 
+   USE trdtra         ! trends manager: tracers
    USE diaptr         ! poleward transport diagnostics
    USE diaar5         ! AR5 diagnostics
@@ -28,5 +28,5 @@
 
    PUBLIC   tra_adv_cen   ! called by traadv.F90
-   
+
    REAL(wp) ::   r1_6 = 1._wp / 6._wp   ! =1/6
 
@@ -37,4 +37,5 @@
    !! * Substitutions
 #  include "do_loop_substitute.h90"
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
@@ -45,13 +46,13 @@
 
    SUBROUTINE tra_adv_cen( kt, kit000, cdtype, pU, pV, pW,     &
-      &                    Kmm, pt, kjpt, Krhs, kn_cen_h, kn_cen_v ) 
+      &                    Kmm, pt, kjpt, Krhs, kn_cen_h, kn_cen_v )
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE tra_adv_cen  ***
-      !!                 
+      !!
       !! ** Purpose :   Compute the now trend due to the advection of tracers
       !!      and add it to the general trend of passive tracer equations.
       !!
       !! ** Method  :   The advection is evaluated by a 2nd or 4th order scheme
-      !!               using now fields (leap-frog scheme). 
+      !!               using now fields (leap-frog scheme).
       !!       kn_cen_h = 2  ==>> 2nd order centered scheme on the horizontal
       !!                = 4  ==>> 4th order    -        -       -      -
@@ -90,9 +91,9 @@
       l_ptr = .FALSE.
       IF( ( cdtype == 'TRA' .AND. l_trdtra ) .OR. ( cdtype == 'TRC' .AND. l_trdtrc ) )       l_trd = .TRUE.
-      IF(   cdtype == 'TRA' .AND. ( iom_use( 'sophtadv' ) .OR. iom_use( 'sophtadv' ) )  )    l_ptr = .TRUE. 
+      IF(   cdtype == 'TRA' .AND. ( iom_use( 'sophtadv' ) .OR. iom_use( 'sophtadv' ) )  )    l_ptr = .TRUE.
       IF(   cdtype == 'TRA' .AND. ( iom_use("uadv_heattr") .OR. iom_use("vadv_heattr") .OR. &
          &                          iom_use("uadv_salttr") .OR. iom_use("vadv_salttr")  ) )  l_hst = .TRUE.
       !
-      !                    
+      !
       zwz(:,:, 1 ) = 0._wp       ! surface & bottom vertical flux set to zero for all tracers
       zwz(:,:,jpk) = 0._wp
@@ -150,5 +151,5 @@
             IF( ln_isfcav ) THEN                  ! ice-shelf cavities (top of the ocean)
                DO_2D_11_11
-                  zwz(ji,jj, mikt(ji,jj) ) = pW(ji,jj,mikt(ji,jj)) * pt(ji,jj,mikt(ji,jj),jn,Kmm) 
+                  zwz(ji,jj, mikt(ji,jj) ) = pW(ji,jj,mikt(ji,jj)) * pt(ji,jj,mikt(ji,jj),jn,Kmm)
                END_2D
             ELSE                                   ! no ice-shelf cavities (only ocean surface)
@@ -156,10 +157,11 @@
             ENDIF
          ENDIF
-         !               
+         !
          DO_3D_00_00( 1, jpkm1 )
             pt(ji,jj,jk,jn,Krhs) = pt(ji,jj,jk,jn,Krhs)    &
                &             - (  zwx(ji,jj,jk) - zwx(ji-1,jj  ,jk  )    &
                &                + zwy(ji,jj,jk) - zwy(ji  ,jj-1,jk  )    &
-               &                + zwz(ji,jj,jk) - zwz(ji  ,jj  ,jk+1)  ) * r1_e1e2t(ji,jj) / e3t(ji,jj,jk,Kmm)
+               &                + zwz(ji,jj,jk) - zwz(ji  ,jj  ,jk+1)  ) &
+               &                * r1_e1e2t(ji,jj) / e3t(ji,jj,jk,Kmm)
          END_3D
          !                             ! trend diagnostics
@@ -169,5 +171,5 @@
             CALL trd_tra( kt, Kmm, Krhs, cdtype, jn, jptra_zad, zwz, pW, pt(:,:,:,jn,Kmm) )
          END IF
-         !                                 ! "Poleward" heat and salt transports 
+         !                                 ! "Poleward" heat and salt transports
          IF( l_ptr )   CALL dia_ptr_hst( jn, 'adv', zwy(:,:,:) )
          !                                 !  heat and salt transport
@@ -177,5 +179,5 @@
       !
    END SUBROUTINE tra_adv_cen
-   
+
    !!======================================================================
 END MODULE traadv_cen
